*** old-mixer.c	Fri Sep 28 03:00:18 2001
--- mixer.c	Fri Sep 28 03:30:00 2001
***************
*** 37,46 ****
  #define PySound_Check(x) ((x)->ob_type == &PySound_Type)
  #define PyChannel_Check(x) ((x)->ob_type == &PyChannel_Type)
  
  
  static int request_frequency = MIX_DEFAULT_FREQUENCY;
  static int request_size = MIX_DEFAULT_FORMAT;
! static int request_stereo = 1;
  
  Mix_Music** current_music;
  
--- 37,49 ----
  #define PySound_Check(x) ((x)->ob_type == &PySound_Type)
  #define PyChannel_Check(x) ((x)->ob_type == &PyChannel_Type)
  
+ #define MIX_DEFAULT_CHUNKSIZE   1024
  
  static int request_frequency = MIX_DEFAULT_FREQUENCY;
  static int request_size = MIX_DEFAULT_FORMAT;
! static int request_stereo = MIX_DEFAULT_CHANNELS;
! static int request_chunksize = MIX_DEFAULT_CHUNKSIZE;
! 
  
  Mix_Music** current_music;
  
***************
*** 69,80 ****
  
  static PyObject* autoinit(PyObject* self, PyObject* arg)
  {
! 	int freq, size, stereo;
  	freq = request_frequency;
  	size = request_size;
  	stereo = request_stereo;
  
! 	if(!PyArg_ParseTuple(arg, "|iii", &freq, &size, &stereo))
  		return NULL;
  	if(stereo)
  		stereo = 2;
--- 72,84 ----
  
  static PyObject* autoinit(PyObject* self, PyObject* arg)
  {
! 	int freq, size, stereo, chunk;
  	freq = request_frequency;
  	size = request_size;
  	stereo = request_stereo;
+     chunk = request_chunksize;
  
! 	if(!PyArg_ParseTuple(arg, "|iiii", &freq, &size, &stereo, &chunk))
  		return NULL;
  	if(stereo)
  		stereo = 2;
***************
*** 88,94 ****
  		if(SDL_InitSubSystem(SDL_INIT_AUDIO) == -1)
  			return PyInt_FromLong(0);
  
! 		if(Mix_OpenAudio(freq, (Uint16)size, stereo, 1024) == -1)
  		{
  			SDL_QuitSubSystem(SDL_INIT_AUDIO);
  			return PyInt_FromLong(0);
--- 92,98 ----
  		if(SDL_InitSubSystem(SDL_INIT_AUDIO) == -1)
  			return PyInt_FromLong(0);
  
! 		if(Mix_OpenAudio(freq, (Uint16)size, stereo, chunk) == -1)
  		{
  			SDL_QuitSubSystem(SDL_INIT_AUDIO);
  			return PyInt_FromLong(0);
***************
*** 118,130 ****
  
  
      /*DOC*/ static char doc_init[] =
!     /*DOC*/    "pygame.mixer.init([freq, [size, [stereo]]]) -> None\n"
      /*DOC*/    "initialize mixer module\n"
      /*DOC*/    "\n"
      /*DOC*/    "Initializes the mixer module. Usually no arguments will be\n"
      /*DOC*/    "needed, the defaults are 22050 frequency data in stereo with\n"
      /*DOC*/    "signed 16bit data. The size argument can be 8 or 16 for unsigned\n"
!     /*DOC*/    "data, or -8 or -16 for signed data.\n"
      /*DOC*/    "\n"
      /*DOC*/    "On many platforms it is important that the display module is\n"
      /*DOC*/    "initialized before the audio. (that is, if the display will be\n"
--- 122,135 ----
  
  
      /*DOC*/ static char doc_init[] =
!     /*DOC*/    "pygame.mixer.init([freq, [size, [stereo, [buffersize]]]]) -> None\n"
      /*DOC*/    "initialize mixer module\n"
      /*DOC*/    "\n"
      /*DOC*/    "Initializes the mixer module. Usually no arguments will be\n"
      /*DOC*/    "needed, the defaults are 22050 frequency data in stereo with\n"
      /*DOC*/    "signed 16bit data. The size argument can be 8 or 16 for unsigned\n"
!     /*DOC*/    "data, or -8 or -16 for signed data. The default buffersize is\n"
!     /*DOC*/    "1024 samples(?), sometimes a larger value is required.\n"
      /*DOC*/    "\n"
      /*DOC*/    "On many platforms it is important that the display module is\n"
      /*DOC*/    "initialized before the audio. (that is, if the display will be\n"
***************
*** 140,145 ****
--- 145,152 ----
  	int value;
  
  	result = autoinit(self, arg);
+ 	if ( !result ) return NULL;
+ 
  	value = PyObject_IsTrue(result);
  	Py_DECREF(result);
  	if(!value)
***************
*** 181,187 ****
  
  
      /*DOC*/ static char doc_pre_init[] =
!     /*DOC*/    "pygame.mixer.pre_init([freq, [size, [stereo]]]) -> None\n"
      /*DOC*/    "presets the init default values\n"
      /*DOC*/    "\n"
      /*DOC*/    "This routine is usefull when you want to customize the sound\n"
--- 188,194 ----
  
  
      /*DOC*/ static char doc_pre_init[] =
!     /*DOC*/    "pygame.mixer.pre_init([freq, [size, [stereo, [buffersize]]]]) -> None\n"
      /*DOC*/    "presets the init default values\n"
      /*DOC*/    "\n"
      /*DOC*/    "This routine is usefull when you want to customize the sound\n"
***************
*** 195,204 ****
  {
  	request_frequency = MIX_DEFAULT_FREQUENCY;
  	request_size = MIX_DEFAULT_FORMAT;
! 	request_stereo = request_stereo;
  
! 	if(!PyArg_ParseTuple(arg, "|iii", &request_frequency, &request_size,
! 				&request_stereo))
  		return NULL;
  
  	RETURN_NONE
--- 202,212 ----
  {
  	request_frequency = MIX_DEFAULT_FREQUENCY;
  	request_size = MIX_DEFAULT_FORMAT;
! 	request_stereo = MIX_DEFAULT_CHANNELS;
!     request_chunksize = MIX_DEFAULT_CHUNKSIZE;
  
! 	if(!PyArg_ParseTuple(arg, "|iiii", &request_frequency, &request_size,
! 				&request_stereo, &request_chunksize))
  		return NULL;
  
  	RETURN_NONE
